
/**
 * Represents a Rectangle 
 */
public class Rectangle{
	private Point bottomLeft;
	private int width, height;

	/**
	Construct Rectangle.
	@param bottomLeft Rectangle's  bottom left point.
	@param topRoght Rectangle's top right point.
	*/
	public Rectangle(Point bottomLeft, Point topRight) {;
		this.bottomLeft = new Point(bottomLeft);
		this.width = topRight.getX() - bottomLeft.getX();;
		this.height= topRight.getY() - bottomLeft.getY();
	}
	
	/**
	Construct Rectangle.
	@param bottomLeft Rectangle's  bottom left point.
	@param width Rectangle's width.
	@param height Rectangle's height.
	*/
	public Rectangle(Point bottomLeft, int width, int height) {
		this.bottomLeft = new Point(bottomLeft);
		this.width=width;
		this.height=height;
	}



	/**
	Return rectangle's area.
	*/
	public double getArea() {
		return this.width * this.height;
	}

	/**
	Return rectangle's perimeter.
	*/
	public double getPerimeter() {
		return 2 * this.width + 2 * this.height;
	}
	
	/**
	Return rectangle's identification string.
	*/
	public String toString() {
		return "The Rectangle:\nPoint bottom-left:"+
		this.bottomLeft.toString()+
		"Point top-right:("+
		(this.bottomLeft.getX()+this.width)+","+(this.bottomLeft.getY()+this.height)+")";
	
		 
	}
	
	public void move(int deltaX, int deltaY) {
		int bottomLeftX = this.bottomLeft.getX();
		int bottomLeftY = this.bottomLeft.getY();
		this.bottomLeft.setX(bottomLeftX+deltaX);
		this.bottomLeft.setY(bottomLeftY+deltaY);
	}
}//close class
