/**
 * Represents a Rectangle 
 */
public class Rectangle{
	private Point bottomLeft;
	private Point topRight;


	/**
	Construct Rectangle.
	@param bottomLeft Rectangle's  bottom left point.
	@param topRoght Rectangle's top right point.
	*/
	public Rectangle(Point bottomLeft, Point topRight) {;
		this.bottomLeft = new Point(bottomLeft);
		this.topRight = new Point(topRight);
	}
	
	/**
	Construct Rectangle.
	@param bottomLeft Rectangle's  bottom left point.
	@param width Rectangle's width.
	@param height Rectangle's height.
	*/
	public Rectangle(Point bottomLeft, int width, int height) {
		this.bottomLeft = new Point(bottomLeft);
		this.topRight = new Point(bottomLeft.getX()+width, bottomLeft.getY()+height);

	}



	/**
	Return rectangle's area.
	*/
	public double getArea() {
		int width = this.topRight.getX() - this.bottomLeft.getX();;
		int height= this.topRight.getY() - this.bottomLeft.getY();
		return width * height;
	}

	/**
	Return rectangle's perimeter.
	*/
	public double getPerimeter() {
		int width = this.topRight.getX() - this.bottomLeft.getX();;
		int height= this.topRight.getY() - this.bottomLeft.getY();
		return 2 * width + 2 * height;
	}
	
	/**
	Return rectangle's identification string.
	*/
	public String toString() {
		return "The Rectangle:\nPoint bottom-left:"+
		this.bottomLeft.toString()+
		"Point top-right:"+
		this.topRight.toString();
	
		 
	}
	
	public void move(int deltaX, int deltaY) {
		int bottomLeftX = this.bottomLeft.getX();
		int bottomLeftY = this.bottomLeft.getY();
		this.bottomLeft.setX(bottomLeftX+deltaX);
		this.bottomLeft.setY(bottomLeftY+deltaY);
		int topRightX = this.topRight.getX();
		int topRightY = this.topRight.getY();
		this.topRight.setX(topRightX + deltaX);
		this.topRight.setY(topRightY + deltaY);
	}
}//close class
