/**
 * represents a Traveler's passport
 * @author oop_team
 */

public class Passport {
	private String name;
	private int number;
	private Date expDate;

	//constructors:
	/**
	* creates a new passport
	* @param name the traveler's name
	* @param number the traveler's passport number
	* @param expDate the passprt's expir date
	*/
	public Passport(String name,int number,Date expDate) {
		this.name = name;
		this.number = number;
		this.expDate = new Date(expDate);
	}
	
	/**
	* Copy Constructor
	* @param passport to be copied
	*/
	public Passport(Passport passport){
		this.name = passport.name;
		this.number= passport.number;
		this.expDate = new Date(passport.expDate);
	}

	/** 
	* checks wether the passsport is valid on a certain travel date
	* @param dateChecked the wanted travel date
	* @return true iff the passport is valid on the date checked
	*/
	public boolean isValid(Date dateChecked){
		return dateChecked.before(expDate);
	}

	/**
		Set new expiry date.
	*/
	public void setExpiryDate(Date newExpiryDate) {
		this.expDate = new Date(newExpiryDate);
	}

	/**
	* Creates a string representing the passport details
	* @return a String representing the passport details
	*/
	public String toString(){
		return "Name: " + this.name
          +"\nPass. num: " + this.number
          +"\nExp Date " + this.expDate;
	}
}
