/**
 * represents a traveler.
 * @author oop_team
 */

public class Traveler {

	private Passport myPassport;
    private boolean isPayed;
    
	//constructors:
	/**
	* creates a new traveler
	* @param passport the traveler's passport
	* @param isPayed indicates whether the traveler have paid
	*/
	public Traveler(Passport passport,boolean isPayed){
		this.myPassport = new Passport(passport);
		this.isPayed = isPayed;
		
	}


	/**
		Pay for the travel.
	*/
	public void pay() {
		this.isPayed = true;
	}

	/**
		Return true if the traveler have paid.
	*/
	public boolean isPayed() {
		return this.isPayed;
	}

	/** 
	* checks whether the travel is possible on the given date
	* @param travelDate the wanted travel date
	* @return true iff the passport is valid on the given date
	*/
	public boolean checkTravel(Date travelDate){
		return (myPassport.isValid(travelDate) && this.isPayed);
	}


	/**
	*@return a String representing the traveler
	*/
	public String toString() {
		return myPassport.toString();
	}
}
