/**
 * The <b>Location</b> class represents a location in a two-dimensional (x, y)
 * coordinate space.
 */
public class Location {
	//represents the column you are cuttently in:
  	private int column;
  	//represents the row you are currently in:
  	private int row;

	/**
	* Constructs and initializes a location as the specified
	* <b>Location</b> object.
	*/
	public Location(Location loc) {
		this.column = loc.column;
		this.row = loc.row;
	}
  
  	/**
   	* Constructs and initializes a location with the specified
   	* coordinates.
   	*
   	* @param column specifies the location's column
   	* @param row    specifies the location's row
   	*/
  	public Location(int row, int column) {
     	this.column = column;
     	this.row = row;
  	}

  	/**
   	* Sets the the Location's column
   	* @param newColumn specifies the new coulmn to be set
   	*/
  	public void setCol(int newColumn) {
	    this.column = newColumn;
  	}

  	/**
   	* Sets the the Location's row
   	* @param newRow specifies the new row to be set
   	*/
  	public void setRow(int newRow) {
	    this.row = newRow;
  	}

  	/**
   	* @return the Location's column
   	*/
   	public int getCol(){
     	return this.column;
   	}

   	/**
	* @return the Location's row
	*/
    public int getRow(){
    	return this.row;
    }

    /**
     *adds given number to current number of row
     *@param numToAdd the number to add - may be positive or negative
     */
     public void addToRow(int numToAdd){
     	this.row += numToAdd;
     }
     
     /**
     *adds given number to current number of column
     *@param numToAdd the number to add - may be positive or negative
     */
     public void addToCol(int numToAdd){
     	this.column +=numToAdd;
     }

}

